<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Money extends \Google\Protobuf\Internal\Message
{
    


    protected $value = null;
    


    protected $offset = null;
    


    protected $currencyCode = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getValue()
    {
        return isset($this->value) ? $this->value : 0;
    }

    public function hasValue()
    {
        return isset($this->value);
    }

    public function clearValue()
    {
        unset($this->value);
    }

    




    public function setValue($var)
    {
        GPBUtil::checkInt64($var);
        $this->value = $var;

        return $this;
    }

    



    public function getOffset()
    {
        return isset($this->offset) ? $this->offset : 0;
    }

    public function hasOffset()
    {
        return isset($this->offset);
    }

    public function clearOffset()
    {
        unset($this->offset);
    }

    




    public function setOffset($var)
    {
        GPBUtil::checkUint32($var);
        $this->offset = $var;

        return $this;
    }

    



    public function getCurrencyCode()
    {
        return isset($this->currencyCode) ? $this->currencyCode : '';
    }

    public function hasCurrencyCode()
    {
        return isset($this->currencyCode);
    }

    public function clearCurrencyCode()
    {
        unset($this->currencyCode);
    }

    




    public function setCurrencyCode($var)
    {
        GPBUtil::checkString($var, True);
        $this->currencyCode = $var;

        return $this;
    }

}

